Skip to content
payrocdevelopers

Retrieve funding account

Browse API reference

GET/funding-accounts/{fundingAccountId}getFundingAccount

Use this method to retrieve information about a funding account.

To retrieve a funding account, you need its fundingAccountId. Our gateway returned the fundingAccountId when you created the funding account.

Note: If you don't have the fundingAccountId, use our List Funding Accounts method to search for the account.

Our gateway returns the following information about the funding account:

  • Name of the account holder and ACH details for the account.
  • Status of the account.
  • Whether we send funds to the account, withdraw funds from the account, or both.

Parameters

NameInTypeDescription
fundingAccountIdRequiredpathinteger

Unique identifier of the funding account.

Responses

Successful request. Returns the requested funding account.

200 OK · application/json
{
  "createdDate": "2024-07-02T15:30:00+00:00",
  "fundingAccountId": 123,
  "lastModifiedDate": "2024-07-02T15:30:00+00:00",
  "links": [
    {
      "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
      "method": "get",
      "rel": "parent"
    }
  ],
  "metadata": {
    "yourCustomField": "abc123"
  },
  "nameOnAccount": "Jane Doe",
  "paymentMethods": [
    {
      "type": "ach",
      "value": {
        "accountNumber": "******7890",
        "routingNumber": "*****6789"
      }
    }
  ],
  "status": "pending",
  "type": "checking",
  "use": "credit"
}
Response schema · 16 of 18 fields
  • createdDatestringdate-time
    Date and time that we received your request to create the funding account in our system.
  • fundingAccountIdinteger
    Unique identifier that we assigned to the funding account.
  • lastModifiedDatestringdate-time
    Date and time that the funding account was last modified.
  • linksobject[]
    Array of HATEOAS links.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • metadataobject
    Metadata object you can use to include custom data with your request.
  • nameOnAccountstringrequired
    Name of the account holder.
  • paymentMethodsobject[]required
    Array of PaymentMethodAch objects.
    • ACH payment methodobject
      • typestring
        Payment method that we use to send funds to the account.ach
      • valueobject
        Object that contains information about the funding account.+2 more fields at deeper levels — see the full spec
  • statusstring
    Status of the funding account. The value is one of the following: approved We approved the funding account. rejected We rejected the funding account. pending We have not yet approved the funding account. hold Our Risk team have temporarily placed a hold on the funding account.approvedrejectedpendinghold
  • typestringrequired
    Type of funding account.checkingsavingsgeneralLedger
  • usestringrequired
    Indicates if we send funds or withdraw funds from the account. credit Send funds to the account. debit Withdraw funds from the account. creditAndDebit Send funds and withdraw funds from the account. Note: If the funding account is associated with a funding recipient, we accept only a value of credit.creditdebitcreditAndDebit

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer